package com.ruoyi.web.v2.v1.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsCheckDevice;
import com.ruoyi.web.v2.v1.service.IJsCheckDeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * v2.0设备档案管理 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
@RestController
@RequestMapping("/js-check-device")
@Api("2.0设备档案管理")
public class JsCheckDeviceController {

    @Autowired
    private IJsCheckDeviceService deviceService;

    @ApiOperation("设备档案管理添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody JsCheckDevice checkDevice){
        return deviceService.add(checkDevice);
    }

    @ApiOperation("设备档案管理修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody JsCheckDevice checkDevice){
        return deviceService.edit(checkDevice);
    }

    @ApiOperation("设备档案管理删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return deviceService.delete(ids);
    }

    @ApiOperation("设备档案管理列表")
    @PostMapping("/list")
    public AjaxResult listAll(){
        return deviceService.listAll();
    }

    @ApiOperation("设备档案管理分页")
    @GetMapping("/page")
    public AjaxResult page(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize
            , @RequestParam(value = "deviceNum", required = false) String deviceNum,
                           @RequestParam(value = "deviceName", required = false) String deviceName) {
        return deviceService.page(pageNum, pageSize, deviceNum,deviceName);
    }

    @ApiOperation("设备档案管理详情")
    @PostMapping("/listById")
    public AjaxResult listById(@RequestBody Map<String, String> paramsMap){
        String id = paramsMap.get("id");
        return success(deviceService.getById(id));
    }
}
